﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="JavaScriptRoutingDemo._Default" %>
<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title></title>
    <script language="javascript" type="text/javascript">
        var vectorLayer = null;
        var tgMap = null;
        var OnMapCreated = function(map) {
            tgMap = map;
        }                     
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
          <Services>
                <asp:ServiceReference Path="~/RoutingService.svc" />
            </Services>
        </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
    </cc1:Map>
     <div>
        <script type="text/javascript">
            function GetRouteFromServer() {
                if (vectorLayer == null) {
                    var layer_style = OpenLayers.Util.extend({}, OpenLayers.Feature.Vector.style['default']);
                    layer_style.fillOpacity = 0.2;
                    layer_style.graphicOpacity = 1;
                    layer_style.strokeWidth = 5;
                    vectorLayer = new OpenLayers.Layer.Vector("route layer", { style: layer_style });
                    tgMap.addLayer(vectorLayer);
                }

                JavaScriptRoutingDemo.RoutingService.GetRoute("-97.766061,30.2982445,-97.727325,30.263861", onSuccess);
            }

            function onSuccess(result) {
                var wkt = new OpenLayers.Format.WKT();
                var multilinestring = wkt.read(result);
                vectorLayer.addFeatures(multilinestring);
            }
        </script>
        <input id="btnServiceCaller" type="button" value="Get Route" onclick="GetRouteFromServer()"; />
    </div>
    </form>
</body>
</html>
